#include <mbus/mbus-protocol.h>
#include <mbusParserExt.h>



static parsedVIB_t parseVIB_FB(mbus_value_information_block vib) {
    parsedVIB_t parsedVIB = { .name = "FB", .unit = "?", .exponent = 1 };

    return parsedVIB;
}

static parsedVIB_t parseVIB_FD(mbus_value_information_block vib) {
    parsedVIB_t parsedVIB = { .name = "FD", .unit = "?", .exponent = 1 };

    return parsedVIB;
}

static parsedVIB_t parseVIB_default(mbus_value_information_block vib) {
    parsedVIB_t parsedVIB = { .name = "default", .unit = "?", .exponent = 1 };

    return parsedVIB;
}


parsedVIB_t parseVIB(mbus_value_information_block vib) {
    parsedVIB_t parsedVIB;

    if (vib.vif == 0xfb) {
        parsedVIB = parseVIB_FB(vib);
    } else if (vib.vif == 0xfd) {
        parsedVIB = parseVIB_FD(vib);
    } else {
        parsedVIB = parseVIB_default(vib);
    }

    return parsedVIB;
}

